<?php 
//echo CHtml::tag("h2", array(), "Security") ."\n";
if ( !isset($id) )
    $id = rand(0, 1000000);

echo CHtml::errorSummary( $security )  ."\n";

echo CHtml::tag("p", array(  'class'=>'explanation' ), "Please enter the administrative password protecting the ".Yii::app()->user->branding->product."." );

$options = array( 'class'=>'modify', 'value'=>'admin' );
if ( $security->protectedAdmin ) {
    echo CHtml::radioButton( "pass", true, array( "id"=>"KeepPass$id", "onclick"=>"$(this).parent().find('.modify').attr( 'disabled', 'disabled' )", 'class'=>'radio' ) ). CHtml::tag("span", array(), "Keep current passwords" ) ."\n";
    echo CHtml::tag("br");
    echo CHtml::radioButton( "pass", false, array( "id"=>"ChangePass$id", "onclick"=>"$(this).parent().find('.modify').removeAttr( 'disabled' )" , 'class'=>'radio') ). CHtml::tag("span", array(), "Change passwords" ) ."\n";
    
    $options['disabled']='disabled';
}
echo CHtml::tag("div", array("class"=>"simple"), 
				CHtml::activeLabel($security->admin, "username") .
				CHtml::activeHiddenField($security->admin, "username", $options ) .
				CHtml::activeTextField($security->admin, "username", array('disabled'=>'disabled', 'value'=>'admin') ) 
				) ."\n" ;


$options['value'] = '';
$options['onkeyup'] = "checkPasswordMatch$id()";
if ( !$security->protectedAdmin ) {
	echo CHtml::activeHiddenField($security->admin, "old_pass", array( "value"=>1)  ) ;
} else {
	echo CHtml::tag("div", array("class"=>"simple"), 
					CHtml::activeLabel($security->admin, "old_pass") .
					CHtml::activePasswordField($security->admin, "old_pass", $options ) 
					) ."\n" ;
}

$options = array( "class"=>"notempty", "id"=>"pass1$id", "onkeyup"=>"checkPasswordMatch$id()", 'class'=>'modify' );
$str = "Password cannot be blank";
if ( $security->protectedAdmin ) {
    $options['disabled']='disabled';
    $str="";
}

echo CHtml::tag("div", array("class"=>"simple"), 
				CHtml::activeLabel($security->admin, "new_pass") .
				CHtml::activePasswordField($security->admin, "new_pass", $options ) ." ".
                CHtml::tag("span", array( "id"=>"check1$id", "class"=>"red" ), $str ) 
				) ."\n" ;

$options = array( "id"=>"pass2$id", "onkeyup"=>"checkPasswordMatch$id()", 'class'=>'modify' );
$str="";
if ( $security->protectedAdmin ){
    $options['disabled']='disabled';
}

echo CHtml::tag("div", array("class"=>"simple"), 
				CHtml::activeLabel($security->admin, "new_pass2") .
				CHtml::activePasswordField($security->admin, "new_pass2", $options ). " " .
                CHtml::tag("span", array( "id"=>"check2$id", "class"=>"red" ), $str ) 
				) ."\n";

?>

<script type="text/javascript">
<!--
function checkPasswordMatch<?php echo $id;?>() {
    var confirmPassword = $("#pass2<?php echo $id;?>").val();
    var password= $("#pass1<?php echo $id;?>").val();
    if (password =="" ) {
		$("#check1<?php echo $id;?>").html("Password cannot be blank");
        $("#check2<?php echo $id;?>").html("");
	} else if (password.length < 3 ) {
		$("#check1<?php echo $id;?>").html("Password must be at least 3 characters long");
        $("#check2<?php echo $id;?>").html("");
	} else if (password != confirmPassword ) {
         $("#check2<?php echo $id;?>").html("Passwords do not match!");
         $("#check1<?php echo $id;?>").html("");
    } else  {
         $("#check1<?php echo $id;?>").html("");
         $("#check2<?php echo $id;?>").html("");
    }
};

-->
</script>